Bug 150185 - CAN-2005-0397 ImageMagick format string flaw
CAN-2005-0397 ImageMagick format string flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=moderate,public=20050202,repor...
: Security
Depends On:
Blocks: 151265
  Show dependency treegraph
 
Reported: 2005-03-03 10:00 EST by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:02:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch from Gentoo (561 bytes, patch)
2005-03-03 10:01 EST, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:070 moderate SHIPPED_LIVE Moderate: ImageMagick security update 2005-03-23 00:00:00 EST
Red Hat Product Errata RHSA-2005:320 normal SHIPPED_LIVE Moderate: ImageMagick security update 2005-03-23 00:00:00 EST

  None (edit)
Description Mark J. Cox 2005-03-03 10:00:28 EST
Gentoo reported an ImageMagick format string flaw reported in their
bugzilla.  This will only affect ImageMagick when it's passed
untrusted filenames, so perhaps by other utilities.

Also affects RHEL3, RHEL2.1 (although code is slightly different)
Comment 1 Mark J. Cox 2005-03-03 10:01:40 EST
Created attachment 111615 [details]
proposed patch from Gentoo
Comment 2 Matthias Clasen 2005-03-16 11:16:00 EST
Simple way to segfault here: convert test.jpg tiff:\%s\%s\%s
Comment 3 Matthias Clasen 2005-03-17 16:39:06 EST
This is covered by RHSA-2005:070-09
	
 
Comment 4 Mark J. Cox 2005-03-23 05:02:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-320.html
Comment 5 Mark J. Cox 2005-03-23 05:07:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-070.html

Note You need to log in before you can comment on or make changes to this bug.